Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GMFGenFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.gmf.codegen.gmfgen.impl.GMFGenFactoryImpl

All Implemented Interfaces:
  EFactory, EModelElement, EObject, GMFGenFactory, InternalEObject, Notifier

public class GMFGenFactoryImpl
extends EFactoryImpl
implements GMFGenFactory

An implementation of the model Factory.

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GMFGenFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`GMFGenFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertGenLanguageToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenSeverityToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLinkLabelAlignmentToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertProviderPriorityToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertViewmapLayoutTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`ColorAttributes` `createColorAttributes()`
`CompositeFeatureLabelModelFacet` `createCompositeFeatureLabelModelFacet()`
`CompositeFeatureModelFacet` `createCompositeFeatureModelFacet()`
`DefaultSizeAttributes` `createDefaultSizeAttributes()`
`DesignLabelModelFacet` `createDesignLabelModelFacet()`
`FeatureLabelModelFacet` `createFeatureLabelModelFacet()`
`FeatureLinkModelFacet` `createFeatureLinkModelFacet()`
`FeatureModelFacet` `createFeatureModelFacet()`
`FigureViewmap` `createFigureViewmap()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`GenAuditContainer` `createGenAuditContainer()`
`GenAuditedMetricTarget` `createGenAuditedMetricTarget()`
`GenAuditRule` `createGenAuditRule()`
`GenChildLabelNode` `createGenChildLabelNode()`
`GenChildNode` `createGenChildNode()`
`GenCompartment` `createGenCompartment()`
`GenConstraint` `createGenConstraint()`
`GenDiagram` `createGenDiagram()`
`GenDiagramElementTarget` `createGenDiagramElementTarget()`
`GenDomainAttributeTarget` `createGenDomainAttributeTarget()`
`GenDomainElementTarget` `createGenDomainElementTarget()`
`GenEditorGenerator` `createGenEditorGenerator()`
`GenEditorView` `createGenEditorView()`
`GenExpressionInterpreter` `createGenExpressionInterpreter()`
`GenExpressionProviderContainer` `createGenExpressionProviderContainer()`
`GenExternalNodeLabel` `createGenExternalNodeLabel()`
`GenFeatureSeqInitializer` `createGenFeatureSeqInitializer()`
`GenFeatureValueSpec` `createGenFeatureValueSpec()`
`GenJavaExpressionProvider` `createGenJavaExpressionProvider()`
`GenLanguage` `createGenLanguageFromString(EDataType eDataType, java.lang.String initialValue)`
`GenLink` `createGenLink()`
`GenLinkConstraints` `createGenLinkConstraints()`
`GenLinkLabel` `createGenLinkLabel()`
`GenMetricContainer` `createGenMetricContainer()`
`GenMetricRule` `createGenMetricRule()`
`GenNodeLabel` `createGenNodeLabel()`
`GenNotationElementTarget` `createGenNotationElementTarget()`
`GenPlugin` `createGenPlugin()`
`GenSeverity` `createGenSeverityFromString(EDataType eDataType, java.lang.String initialValue)`
`GenTopLevelNode` `createGenTopLevelNode()`
`InnerClassViewmap` `createInnerClassViewmap()`
`LabelOffsetAttributes` `createLabelOffsetAttributes()`
`LinkLabelAlignment` `createLinkLabelAlignmentFromString(EDataType eDataType, java.lang.String initialValue)`
`MetamodelType` `createMetamodelType()`
`NotationType` `createNotationType()`
`Palette` `createPalette()`
`ParentAssignedViewmap` `createParentAssignedViewmap()`
`ProviderPriority` `createProviderPriorityFromString(EDataType eDataType, java.lang.String initialValue)`
`ResizeConstraints` `createResizeConstraints()`
`Separator` `createSeparator()`
`SnippetViewmap` `createSnippetViewmap()`
`SpecializationType` `createSpecializationType()`
`StyleAttributes` `createStyleAttributes()`
`ToolEntry` `createToolEntry()`
`ToolGroup` `createToolGroup()`
`TypeLinkModelFacet` `createTypeLinkModelFacet()`
`TypeModelFacet` `createTypeModelFacet()`
`ValueExpression` `createValueExpression()`
`ViewmapLayoutType` `createViewmapLayoutTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`GMFGenPackage` `getGMFGenPackage()`
`static GMFGenPackage` `getPackage()` Deprecated.
`static GMFGenFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GMFGenFactoryImpl

    public GMFGenFactoryImpl()

  Creates an instance of the factory.

** Generated **

Method Detail

### init

    public static GMFGenFactory init()

  Creates the default factory implementation.

  ** Generated **

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  ** Generated **

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  ** Generated **

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  ** Generated **

### createGenEditorGenerator

    public GenEditorGenerator createGenEditorGenerator()

  Specified by:
    `createGenEditorGenerator` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Editor Generator'.
  ** Generated **

### createGenDiagram

    public GenDiagram createGenDiagram()

  Specified by:
    `createGenDiagram` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Diagram'.
  ** Generated **

### createGenEditorView

    public GenEditorView createGenEditorView()

  Specified by:
    `createGenEditorView` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Editor View'.
  ** Generated **

### createGenPlugin

    public GenPlugin createGenPlugin()

  Specified by:
    `createGenPlugin` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Plugin'.
  ** Generated **

### createGenTopLevelNode

    public GenTopLevelNode createGenTopLevelNode()

  Specified by:
    `createGenTopLevelNode` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Top Level Node'.
  ** Generated **

### createGenChildNode

    public GenChildNode createGenChildNode()

  Specified by:
    `createGenChildNode` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Child Node'.
  ** Generated **

### createGenChildLabelNode

    public GenChildLabelNode createGenChildLabelNode()

  Specified by:
    `createGenChildLabelNode` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Child Label Node'.
  ** Generated **

### createGenCompartment

    public GenCompartment createGenCompartment()

  Specified by:
    `createGenCompartment` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Compartment'.
  ** Generated **

### createGenLink

    public GenLink createGenLink()

  Specified by:
    `createGenLink` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Link'.
  ** Generated **

### createGenNodeLabel

    public GenNodeLabel createGenNodeLabel()

  Specified by:
    `createGenNodeLabel` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Node Label'.
  ** Generated **

### createGenExternalNodeLabel

    public GenExternalNodeLabel createGenExternalNodeLabel()

  Specified by:
    `createGenExternalNodeLabel` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen External Node Label'.
  ** Generated **

### createGenLinkLabel

    public GenLinkLabel createGenLinkLabel()

  Specified by:
    `createGenLinkLabel` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Link Label'.
  ** Generated **

### createMetamodelType

    public MetamodelType createMetamodelType()

  Specified by:
    `createMetamodelType` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Metamodel Type'.
  ** Generated **

### createSpecializationType

    public SpecializationType createSpecializationType()

  Specified by:
    `createSpecializationType` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Specialization Type'.
  ** Generated **

### createNotationType

    public NotationType createNotationType()

  Specified by:
    `createNotationType` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Notation Type'.
  ** Generated **

### createTypeModelFacet

    public TypeModelFacet createTypeModelFacet()

  Specified by:
    `createTypeModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Type Model Facet'.
  ** Generated **

### createFeatureModelFacet

    public FeatureModelFacet createFeatureModelFacet()

  Specified by:
    `createFeatureModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Feature Model Facet'.
  ** Generated **

### createFeatureLabelModelFacet

    public FeatureLabelModelFacet createFeatureLabelModelFacet()

  Specified by:
    `createFeatureLabelModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Feature Label Model Facet'.
  ** Generated **

### createCompositeFeatureModelFacet

    public CompositeFeatureModelFacet createCompositeFeatureModelFacet()

  Specified by:
    `createCompositeFeatureModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Composite Feature Model Facet'.
  ** Generated **

### createCompositeFeatureLabelModelFacet

    public CompositeFeatureLabelModelFacet createCompositeFeatureLabelModelFacet()

  Specified by:
    `createCompositeFeatureLabelModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Composite Feature Label Model Facet'.
  ** Generated **

### createDesignLabelModelFacet

    public DesignLabelModelFacet createDesignLabelModelFacet()

  Specified by:
    `createDesignLabelModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Design Label Model Facet'.
  ** Generated **

### createTypeLinkModelFacet

    public TypeLinkModelFacet createTypeLinkModelFacet()

  Specified by:
    `createTypeLinkModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Type Link Model Facet'.
  ** Generated **

### createFeatureLinkModelFacet

    public FeatureLinkModelFacet createFeatureLinkModelFacet()

  Specified by:
    `createFeatureLinkModelFacet` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Feature Link Model Facet'.
  ** Generated **

### createColorAttributes

    public ColorAttributes createColorAttributes()

  Specified by:
    `createColorAttributes` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Color Attributes'.
  ** Generated **

### createStyleAttributes

    public StyleAttributes createStyleAttributes()

  Specified by:
    `createStyleAttributes` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Style Attributes'.
  ** Generated **

### createResizeConstraints

    public ResizeConstraints createResizeConstraints()

  Specified by:
    `createResizeConstraints` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Resize Constraints'.
  ** Generated **

### createDefaultSizeAttributes

    public DefaultSizeAttributes createDefaultSizeAttributes()

  Specified by:
    `createDefaultSizeAttributes` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Default Size Attributes'.
  ** Generated **

### createLabelOffsetAttributes

    public LabelOffsetAttributes createLabelOffsetAttributes()

  Specified by:
    `createLabelOffsetAttributes` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Label Offset Attributes'.
  ** Generated **

### createFigureViewmap

    public FigureViewmap createFigureViewmap()

  Specified by:
    `createFigureViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Figure Viewmap'.
  ** Generated **

### createSnippetViewmap

    public SnippetViewmap createSnippetViewmap()

  Specified by:
    `createSnippetViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Snippet Viewmap'.
  ** Generated **

### createInnerClassViewmap

    public InnerClassViewmap createInnerClassViewmap()

  Specified by:
    `createInnerClassViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Inner Class Viewmap'.
  ** Generated **

### createParentAssignedViewmap

    public ParentAssignedViewmap createParentAssignedViewmap()

  Specified by:
    `createParentAssignedViewmap` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Parent Assigned Viewmap'.
  ** Generated **

### createValueExpression

    public ValueExpression createValueExpression()

  Specified by:
    `createValueExpression` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Value Expression'.
  ** Generated **

### createGenConstraint

    public GenConstraint createGenConstraint()

  Specified by:
    `createGenConstraint` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Constraint'.
  ** Generated **

### createPalette

    public Palette createPalette()

  Specified by:
    `createPalette` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Palette'.
  ** Generated **

### createToolEntry

    public ToolEntry createToolEntry()

  Specified by:
    `createToolEntry` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Tool Entry'.
  ** Generated **

### createSeparator

    public Separator createSeparator()

  Specified by:
    `createSeparator` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Separator'.
  ** Generated **

### createToolGroup

    public ToolGroup createToolGroup()

  Specified by:
    `createToolGroup` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Tool Group'.
  ** Generated **

### createGenFeatureSeqInitializer

    public GenFeatureSeqInitializer createGenFeatureSeqInitializer()

  Specified by:
    `createGenFeatureSeqInitializer` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Feature Seq Initializer'.
  ** Generated **

### createGenFeatureValueSpec

    public GenFeatureValueSpec createGenFeatureValueSpec()

  Specified by:
    `createGenFeatureValueSpec` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Feature Value Spec'.
  ** Generated **

### createGenLinkConstraints

    public GenLinkConstraints createGenLinkConstraints()

  Specified by:
    `createGenLinkConstraints` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Link Constraints'.
  ** Generated **

### createGenAuditContainer

    public GenAuditContainer createGenAuditContainer()

  Specified by:
    `createGenAuditContainer` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Audit Container'.
  ** Generated **

### createGenAuditRule

    public GenAuditRule createGenAuditRule()

  Specified by:
    `createGenAuditRule` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Audit Rule'.
  ** Generated **

### createGenDomainElementTarget

    public GenDomainElementTarget createGenDomainElementTarget()

  Specified by:
    `createGenDomainElementTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Domain Element Target'.
  ** Generated **

### createGenDiagramElementTarget

    public GenDiagramElementTarget createGenDiagramElementTarget()

  Specified by:
    `createGenDiagramElementTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Diagram Element Target'.
  ** Generated **

### createGenDomainAttributeTarget

    public GenDomainAttributeTarget createGenDomainAttributeTarget()

  Specified by:
    `createGenDomainAttributeTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Domain Attribute Target'.
  ** Generated **

### createGenNotationElementTarget

    public GenNotationElementTarget createGenNotationElementTarget()

  Specified by:
    `createGenNotationElementTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Notation Element Target'.
  ** Generated **

### createGenMetricContainer

    public GenMetricContainer createGenMetricContainer()

  Specified by:
    `createGenMetricContainer` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Metric Container'.
  ** Generated **

### createGenMetricRule

    public GenMetricRule createGenMetricRule()

  Specified by:
    `createGenMetricRule` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Metric Rule'.
  ** Generated **

### createGenAuditedMetricTarget

    public GenAuditedMetricTarget createGenAuditedMetricTarget()

  Specified by:
    `createGenAuditedMetricTarget` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Audited Metric Target'.
  ** Generated **

### createGenExpressionProviderContainer

    public GenExpressionProviderContainer createGenExpressionProviderContainer()

  Specified by:
    `createGenExpressionProviderContainer` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Expression Provider Container'.
  ** Generated **

### createGenJavaExpressionProvider

    public GenJavaExpressionProvider createGenJavaExpressionProvider()

  Specified by:
    `createGenJavaExpressionProvider` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Java Expression Provider'.
  ** Generated **

### createGenExpressionInterpreter

    public GenExpressionInterpreter createGenExpressionInterpreter()

  Specified by:
    `createGenExpressionInterpreter` in interface `GMFGenFactory`
  Returns:
    a new object of class 'Gen Expression Interpreter'.
  ** Generated **

### createProviderPriorityFromString

    public ProviderPriority createProviderPriorityFromString(EDataType eDataType,
                                                             java.lang.String initialValue)

  ** Generated **

### convertProviderPriorityToString

    public java.lang.String convertProviderPriorityToString(EDataType eDataType,
                                                            java.lang.Object instanceValue)

  ** Generated **

### createLinkLabelAlignmentFromString

    public LinkLabelAlignment createLinkLabelAlignmentFromString(EDataType eDataType,
                                                                 java.lang.String initialValue)

  ** Generated **

### convertLinkLabelAlignmentToString

    public java.lang.String convertLinkLabelAlignmentToString(EDataType eDataType,
                                                              java.lang.Object instanceValue)

  ** Generated **

### createViewmapLayoutTypeFromString

    public ViewmapLayoutType createViewmapLayoutTypeFromString(EDataType eDataType,
                                                               java.lang.String initialValue)

  ** Generated **

### convertViewmapLayoutTypeToString

    public java.lang.String convertViewmapLayoutTypeToString(EDataType eDataType,
                                                             java.lang.Object instanceValue)

  ** Generated **

### createGenSeverityFromString

    public GenSeverity createGenSeverityFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

  ** Generated **

### convertGenSeverityToString

    public java.lang.String convertGenSeverityToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

  ** Generated **

### createGenLanguageFromString

    public GenLanguage createGenLanguageFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

  ** Generated **

### convertGenLanguageToString

    public java.lang.String convertGenLanguageToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

  ** Generated **

### getGMFGenPackage

    public GMFGenPackage getGMFGenPackage()

  Specified by:
    `getGMFGenPackage` in interface `GMFGenFactory`
  Returns:
    the package supported by this factory.
  ** Generated **

### getPackage

    public static GMFGenPackage getPackage()

  Deprecated.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.